<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:xalan="http://xml.apache.org/xalan" exclude-result-prefixes="extensions xalan" xmlns:fnplm="urn:fnplm:lmadmin" xmlns:extensions="urn:fnplm:lmadmin">
  <xsl:output method="text"/>
  <xsl:param name="selectedVendor" select="''"/>
  
  <xsl:variable name="returnVendor"><xsl:value-of select="//fnplm:vendor[@name=$selectedVendor]/@name"/></xsl:variable>
  
  <xsl:template match="/">
    <xsl:choose>
      <xsl:when test="$returnVendor!=''"><xsl:value-of select="$returnVendor"/></xsl:when>
      <xsl:otherwise><xsl:value-of select="extensions:getVendorList('', 'xslt/vendorByIndex.xsl')" disable-output-escaping="yes" /></xsl:otherwise>
    </xsl:choose>
  </xsl:template>

</xsl:stylesheet>